### Property

# Gtk SpinButton:update-policy

#### Declaration

    property update-policy: Gtk.SpinButtonUpdatePolicy [ read, write ]

#### Description [src]

Whether the spin button should update always, or only when the value is acceptable.

Type: | `GtkSpinButtonUpdatePolicy`

Default value | GTK_UPDATE_ALWAYS
Getter method | `gtk_spin_button_get_update_policy()`
Setter method | `gtk_spin_button_set_update_policy()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no